EDIT - feature request #7372

Allow configuring feature/term tree
04/26/2018 03:25 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.5

Severity: normal

Description

copied from #6806

It looks like multiple usage of 1 feature in the same feature tree is currently not/now supported. If | e.g. select a feature that is already

in the feature tree nothing happens. Is this on purpose?

Maybe needs discussion. There are usecase where we want multiple usage, e.g. for structures in a structure tree (feature tree might
become term tree in future). Maybe we need a flag to allow or not allow multiple usages, depending of the type of feature tree)

Related issues:
Related to EDIT - bug #7994: Implement allowDuplicates for term trees in TaxE...
Copied from EDIT - feature request #6806: Add context menu to FeatureTreeEditor

Duplicate
Closed

Associated revisions

Revision 06d21702 - 02/25/2019 08:49 PM - Andreas Miiller

fix #7372 make allowDuplicates configurable in FeatureTree

Revision 86¢c1185a - 04/15/2019 03:52 PM - Andreas Miiller

fix #7372 make allowDuplicates configurable in FeatureTree

History

#1 - 04/26/2018 03:26 PM - Andreas Miuller

- Copied from feature request #6806: Add context menu to Feature TreeEditor added

#2 - 05/07/2018 11:01 PM - Andreas Miiller
- Priority changed from New to Highest

#3 - 05/14/2018 01:57 PM - Andreas Miiller
- Target version changed from CDM UML 5.0 to CDM UML 5.5

#4 - 01/22/2019 01:46 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

#5 - 12/09/2019 01:02 PM - Andreas Miiller
- Related to bug #7994: Implement allowDuplicates for term trees in TaxEditor added

#6 - 09/17/2021 12:11 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

This flag is in use already and no problems occurred so far. So | think we can close this ticket.
